import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { FormControl } from "@angular/forms";
export declare function requiredFileType(types: string[]): (control: FormControl) => {
    requiredFileType: boolean;
};
export declare function notExceedSize(size: number): (control: FormControl) => {
    notExceedSize: boolean;
};
export declare class QMSFileUploadSelectorDirective implements OnInit, OnChanges {
    ele: ElementRef;
    inputFile: any;
    inputFileChange: EventEmitter<any>;
    acceptExtensions: string[];
    onFileUploaded: EventEmitter<any>;
    maxSize: number;
    isLoading: boolean;
    constructor(ele: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    invokeMyFunc(): void;
    OnChanges(event: any): void;
}
